# Rick van der Zwet <rick@wzoeterwoude.net>
# Licence: BSD
# Descrip: LaTex file parser
# $Id: latex.mk 571 2008-04-20 17:31:04Z rick $

TARGET = report
LATEX = latex
XDVI = xdvi -geometry +700+0
TEX = latex -halt-on-error
DVIPDF = dvipdf
ASPELL = aspell
ASPELL_ARGS = -c --mode=tex -x

#XXX: Make me dynamic
VIEWPDF = evince
VIEWPS = gv -geometry +700+0
.SUFFIXES: .pdf .ps

PAGE ?= 1

help:
	@echo "Usage Makefile <option>"

doc-all: doc-distclean buildpdf

view: viewpdf

viewps: buildps
	$(VIEWPS) -page=$(PAGE) $(TARGET).ps

buildps: $(SOURCE) $(TARGET).dvi
	dvips $(TARGET).dvi

viewdvi: builddvi
	$(XDVI) $(TARGET) +$(PAGE)

builddvi: $(SOURCE) $(TARGET).dvi

doc-clean:
	rm -vf *.aux *.log *toc *.out *.bak *.m.tex

doc-distclean: doc-clean
	rm -vf $(TARGET).dvi $(TARGET).pdf $(PROGRAM)

buildpdf: $(SOURCE) $(TARGET).pdf

viewpdf: buildpdf
	$(VIEWPDF) -p $(PAGE) $(TARGET).pdf

spell: spell-en

spell-nl: $(TARGET).tex
	$(ASPELL) -l nl -p ~/aspell-n.dic $(ASPELL_ARGS) $<

spell-en: $(TARGET).tex
	$(ASPELL) -l en -p ~/aspell-en.dic $(ASPELL_ARGS) $<

#.dvi.pdf:
#	$(DVIPDF) $? $@

.tex.pdf:
	pdflatex -halt-on-error $?
	pdflatex -halt-on-error $?

.tex.dvi:
	$(TEX) $? $@
	$(TEX) $? $@

.gs.png:
	$(GNUPLOT) $?

%.m.tex: %.m
	highlight --include-style --linenumbers --no-doc \
	  --latex --input $< --output $@
